Subject: Re: [PATCH 0/2] t/lib-git-svn.sh: improve svnserve tests with parallel make test

From: Eric Wong <[email-masked]>
Date: Fri, 1 Dec 2017 02:56:00 +0000

Todd Zullinger <[email-masked]> wrote:
> These tests are not run by default nor are they enabled in travis-ci.  I
> don't know how much testing they get in user or other packager builds.
> 
> I've been slowly increasing the test suite usage in fedora builds.  I
> ran into this while testing locally with parallel make test.  The
> official fedora builds don't run in parallel (yet), as even before I ran
> into this issue, builds on the fedora builders randomly failed too
> often.  I'm hoping to eventually enable parallel tests by default
> though, since it's so much faster.

Cool.

> I'm not sure if there's any objection to changing the variable needed to
> enable the tests from SVNSERVE_PORT to GIT_TEST_SVNSERVE.  The way
> SVNSERVE_PORT is set in this patch should allow the port to be set
> explicitly, in case someone requires that -- and they understand that it
> can fail if running parallel tests, of course.  Whether that's a
> feature or a bug, I'm not sure. :)

I'm fine with this for now.  Since svnserve (and git-daemon)
both support inetd behavior, I think we can eventually have a
test helper which binds random ports and pretends to be an
inetd, letting the test run without any special setup.

It would let multiple test instances run in parallel, even.

> The indentation of lib-git-svn.sh didn't use tabs consistently, in only
> a few places, so I cleaned that up first.  I can drop that change if
> it's unwanted.

Fine by me.